@charset "UTF-8";

/* text / email / textarea ------------------------------*/
input[type="text"],
input[type="email"],
input[type="tel"],
textarea{
  width: 100%;
  background: var(--gray-h);
  border: 1px solid var(--gray-d);
  padding: 1em 1em;
  line-height: 1.5;
  border-radius: 6px;
  &[placeholder] {
    color: #333;
  }
  &:focus {
    border-color: var(--key);
    color: var(--key);
  }
}
textarea{
  height: 200px;
}

/* snow monkey forms overwrite ------------------------------*/

/* radio / check */
.smf-label,
.b-confirmCheck {
  display: inline-block;
  margin: 0 1.5em .5em 0;
  label {
    cursor: pointer;
  }
  .smf-radio-button-control__label,
  .smf-check-button-control__label {
    font-size: min(4vw,16px);
    font-weight: 500;
    padding-left: 2.2em;
    position: relative;
    &::before,
    &::after {
      content: "";
      display: block;
      position: absolute;
      box-sizing: border-box;
    }
    &::before {
      aspect-ratio: 1/1;
      width: 1.6em;
      background: #fff;
      border: 2px solid var(--gray-d);
      left: 0;
      top: 0;
    }
    &::after {
      opacity: 0;
    }
  }
  .smf-radio-button-control__label {
    &::before {
      border-radius: 50%;
    }
    &::after {
      aspect-ratio: 1/1;
      width: .85em;
      background: var(--key);
      border-radius: 50%;
      left: .375em;
      top: .375em;
    }
  }
  .smf-check-button-control__label {
    &::before {
      border-radius: 6px;
    }
    &::after {
      aspect-ratio: 1.6/1;
      border-left: 3px solid var(--key);
      border-bottom: 3px solid var(--key);
      width: 1em;
      left: .25em;
      top: .3em;
      transform-origin: center center;
      transform: rotate(-45deg);
    }
  }
  input[type="radio"],
  input[type="checkbox"] {
    display: none;
    &:checked {
      &+.smf-radio-button-control__label,
      &+.smf-check-button-control__label {
        &::after {
          opacity: 1;
        }
      }
    }
  }
}

/* radio */
/* last check */

.smf-form .b-formBox .b-confirmCheck label::before,
.smf-form .b-formBox .b-confirmCheck label::after{
  display: none
}
.smf-form .b-formBox .b-confirmCheck input[type="checkbox"] + span {
  display: block;
  border: 1px solid var(--gray-d);
  border-radius: 4px;
  background: #fff;
  aspect-ratio: 1/1;
  width: 1.5em;
  margin-right: .5em;
}
.smf-form .b-formBox .b-confirmCheck input[type="checkbox"] + span::before {
  aspect-ratio: 1.7/1;
  width: .75em;
  border-left: 3px solid var(--key);
  border-bottom: 3px solid var(--key);
  position: absolute;
  left: .30em;
  top: .45em;
  transform-origin: center center;
  transform: rotate(-45deg);
  opacity: 0;
}
.smf-form .b-formBox .b-confirmCheck input[type="checkbox"]:checked + span::before {
  opacity: 1;
}

/* bottom */
.smf-action {
  margin-top: 50px;
  text-align: center;
}
.smf-action button.smf-button-control__control[data-action="back"] {
  background: var(--gray-h);
}
.smf-action button.smf-button-control__control:disabled {
  pointer-events: none;
  cursor: default;
  background: var(--gray-d);
}



/* button -------------------------------*/
.smf-button-control {
    button {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      min-width: 210px;
      min-height: 80px;
      background: var(--key);
      color: #fff;
      font-weight: 600;
      border-radius: 200px;
      border: 1px solid;
      font-size: min(3.75vw,15px);
      line-height: 1;
      position: relative;
      transition: var(--transition);
      
      &::after {
        content: "";
        aspect-ratio: 1/1;
        width: min(5vw,1.33em);
        background: url(../images/arw-up-white.svg) center center / contain no-repeat;
        position: absolute;
        top: 50%;
        right: calc(50% - 4.3em);
        transform: translate(0,-50%);
        transition: var(--transition);
      }
    }
}

@media screen and (min-width: 768px) {
  .smf-button-control {
    button {
      &:hover {
        background: #fff;
        color: var(--key);
      }
      &:hover::after {
        background-image: url(../images/arw-up-blue.svg);
        transform: translate(20%,-70%);
      }
    }
  }
}

